Bug 1830106 - CVE-2020-2759 CVE-2020-2760 CVE-2020-2761 CVE-2020-2762 CVE-2020-2763 CVE-2020-2765 CVE-2020-2770 CVE-2020-2774 CVE-2020-2779 CVE-2020-2780 CVE-2020-2804 CVE-2020-2812 CVE-2020-2814 CVE-2020-2853 ... community-mysql: various flaws [fedora-all]
Summary: CVE-2020-2759 CVE-2020-2760 CVE-2020-2761 CVE-2020-2762 CVE-2020-2763 CVE-202...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-2759 CVE-2020-2761 CVE-2020-2762 CVE-2020-2763 CVE-2020-2765 CVE-2020-2770 CVE-2020-2774 CVE-2020-2779 CVE-2020-2780 CVE-2020-2804 CVE-2020-2812 CVE-2020-2814 CVE-2020-2853 CVE-2020-2892 CVE-2020-2893 CVE-2020-2895 CVE-2020-2896 CVE-2020-2897 CVE-2020-2898 CVE-2020-2901 CVE-2020-2903 CVE-2020-2904 CVE-2020-2921 CVE-2020-2923 CVE-2020-2924 CVE-2020-2925 CVE-2020-2926 CVE-2020-2928 CVE-2020-2930 CVE-2020-2760 CVE-2020-2752 CVE-2020-2922 CVE-2020-14567
TreeView+ depends on / blocked
 
Reported: 2020-04-30 20:36 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-08-10 13:49 UTC (History)
4 users (show)

Fixed In Version: community-mysql-8.0.20-1.fc32 community-mysql-8.0.20-1.fc30 community-mysql-8.0.20-1.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-10 03:46:07 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-04-30 20:36:34 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2020-04-30 20:36:37 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1830048,1830049,1830050,1830051,1830052,1830053,1830054,1830055,1830056,1830058,1830059,1830060,1830061,1830062,1830064,1830066,1830067,1830068,1830069,1830070,1830071,1830072,1830073,1830074,1830075,1830076,1830077,1830078,1830079,1830082,1830106

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Michal Schorm 2020-05-01 06:20:26 UTC
About half of the CVEs are fixed in MySQL 8.0.19 and the other half in MySQL 8.0.20.
https://www.oracle.com/security-alerts/cpuapr2020.html

Comment 3 Fedora Update System 2020-05-01 06:22:49 UTC
FEDORA-MODULAR-2020-dbb5381544 has been submitted as an update to Fedora 31 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-dbb5381544

Comment 4 Fedora Update System 2020-05-01 06:22:49 UTC
FEDORA-MODULAR-2020-345174bbd8 has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-345174bbd8

Comment 5 Fedora Update System 2020-05-01 06:22:50 UTC
FEDORA-2020-136dc82437 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-136dc82437

Comment 6 Fedora Update System 2020-05-01 06:22:51 UTC
FEDORA-MODULAR-2020-9b01344f11 has been submitted as an update to Fedora 32 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-9b01344f11

Comment 7 Fedora Update System 2020-05-01 06:22:52 UTC
FEDORA-2020-261c9ddd7c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-261c9ddd7c

Comment 8 Fedora Update System 2020-05-01 06:22:52 UTC
FEDORA-2020-20ac7c92a1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-20ac7c92a1

Comment 9 Fedora Update System 2020-05-02 05:11:08 UTC
FEDORA-MODULAR-2020-dbb5381544 has been pushed to the Fedora 31 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-dbb5381544

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-02 05:32:16 UTC
FEDORA-2020-261c9ddd7c has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-261c9ddd7c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-261c9ddd7c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-02 05:54:08 UTC
FEDORA-2020-136dc82437 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-136dc82437`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-136dc82437

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-02 06:01:32 UTC
FEDORA-MODULAR-2020-345174bbd8 has been pushed to the Fedora 30 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-345174bbd8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-05-02 06:03:20 UTC
FEDORA-MODULAR-2020-9b01344f11 has been pushed to the Fedora 32 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-9b01344f11

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-05-02 06:46:25 UTC
FEDORA-2020-20ac7c92a1 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-20ac7c92a1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-20ac7c92a1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-05-10 03:46:07 UTC
FEDORA-2020-136dc82437 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-05-10 04:15:34 UTC
FEDORA-MODULAR-2020-dbb5381544 has been pushed to the Fedora 31 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-05-10 04:33:57 UTC
FEDORA-2020-20ac7c92a1 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-05-10 04:50:44 UTC
FEDORA-2020-261c9ddd7c has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-05-10 04:52:45 UTC
FEDORA-MODULAR-2020-345174bbd8 has been pushed to the Fedora 30 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-05-10 04:56:28 UTC
FEDORA-MODULAR-2020-9b01344f11 has been pushed to the Fedora 32 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.